nz-page-header([nzGhost]="false")
  nz-breadcrumb(nz-page-header-breadcrumb, [nzAutoGenerate]="true", nzSeparator=">")
  nz-page-header-title
    ryax-logo-avatar([logoSrc]="logoUrl")
    span {{ module?.name }}
  nz-page-header-tags
    ryax-status-tag([label]="module?.kind | ryaxModuleKindLabel", [color]="module?.kind | ryaxModuleKindColor")
    nz-tag {{ module?.version }}
  nz-page-header-content
    nz-descriptions([nzColumn]="1")
      nz-descriptions-item(nzTitle="Module ID") {{ module?.technicalId }}

      nz-descriptions-item(nzTitle="Categories")
        ng-container(*ngIf="hasCategories; else categoriesEmpty")
          ng-container.mb1(*ngFor="let c of module.categories")
            nz-tag {{ c.categoryName }}
        ng-template(#categoriesEmpty)
          span.italic No categories to show

      nz-descriptions-item(nzTitle="Change version")
        form.mb1(nz-form, [formGroup]="form")
          nz-form-item.mb0(style="width:80px;")
            nz-form-control
              nz-select(formControlName="newVersionModuleId", [nzPlaceHolder]="currentVersion")
                nz-option(*ngFor="let v of versions", [nzLabel]="v.versionName", [nzValue]="v.moduleId")
        ng-template(#currentVersion)
          span(style="color:black;") {{ module?.version }}
        ng-template(#versionTitleTemplate)
          span
            | Version
            i.ml1(nz-icon, nz-tooltip, [nzTooltipTitle]="versionHelpTemplate", nzType="question-circle", theme="outline")
        ng-template(#versionHelpTemplate)
          ng-container Select a version

    p.mb1 Here you can see the details of a module ready to be used in a workflow.
    p.mb0(*ngIf="module?.description", nz-paragraph, nzEllipsis, [nzEllipsisRows]="2") {{ module?.description }}
  nz-page-header-extra
    ryax-action-button(label="Delete module", icon="delete", type="primary", danger=true, (click)="onShowModal()")
